
<fieldset class="rating">
    <input type="radio" [name]="inputName" value="5" [checked]="rate===5" />
    <label title="Rocks!" (click)='onClick(5)'>5 stars</label>

    <input type="radio" [name]="inputName" value="4" [checked]="rate===4" />
    <label title="Pretty good" (click)='onClick(4)'>4 stars</label>

    <input type="radio" [name]="inputName" value="3" [checked]="rate===3" />
    <label title="Meh" (click)='onClick(3)'>3 stars</label>

    <input type="radio" [name]="inputName" value="2" [checked]="rate===2" />
    <label title="Kinda bad" (click)='onClick(2)'>2 stars</label>

    <input type="radio" [name]="inputName" value="1" [checked]="rate===1" />
    <label title="Sucks big time" (click)='onClick(1)'>1 star</label>
</fieldset>
